import { CollageModes } from "./common/collages";

export default class BrowserCollageModes extends CollageModes<CanvasRenderingContext2D, ImageBitmap> {
    drawImage(ctx: CanvasRenderingContext2D, image: ImageBitmap, sx: number, sy: number, sw: number, sh: number, dx: number, dy: number, dw: number, dh: number): void {
        ctx.drawImage(image, sx, sy, sw, sh, dx, dy, dw, dh);
    }
}